#!/bin/bash
#
# Copyright 2014 by Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.



# includes
KINET_DIR="/usr/share/kinet"

${KINET_DIR}/kinet-cups.sh



# kinet dir for canon ppds
KINET_PPD_DIR="/usr/share/ppd/kinet-canon"

# kinet printers
KINET_PRINTERS_FILE="${KINET_DIR}/kinet-printers.txt"

# canon
CANON_PPD_DIR="/opt/cel/ppd"
CANON_PKG="cque"
PREFIX="cel"
DRIVER="pxl"

# determine printer driver language
LANG="$(dpkg --get-selections  | grep ${CANON_PKG} | awk '{print $1}' | awk -F '-' '{print $2}')"

# black and white printer
BW_PRINTER_NAME="PrinterXXX"
BW_PRINTER_TYPE="ir1133i"
BW_PRINTER_DESC="Canon iR1133iF"
BW_PRINTER_MODEL="Canon iR1133iF PXL"

# standard color printer
COLOR_PRINTER_NAME="DruckerAllgemein"
COLOR_PRINTER_TYPE="iradvc5235"
COLOR_PRINTER_DESC="Canon iR-ADV C5250i"
COLOR_PRINTER_MODEL="Canon iR-ADV C5250/5255 PXL"

# hiend color printer
HIGHEND_PRINTER_NAME="DruckerKopierraum"
HIGHEND_PRINTER_TYPE="iradvc5250"
HIGHEND_PRINTER_DESC="Canon iR-ADV C5235i"
HIGHEND_PRINTER_MODEL="Canon iR-ADV C5235/5240 PXL"


# kinet default values
# for all kinet printers
DEF_PAGE="DefaultPageSize"
DEF_PAGE_VAL="A4"
DEF_IMG="DefaultImageableArea"
DEF_IMG_VAL="A4"
DEF_PAPER="DefaultPaperDimension"
DEF_PAPER_VAL="A4"

NICK_NAME="NickName"
NICK_NAME_POST="Kinet"

# for all kinet color printers
OPT_SEC="DefaultOptSecure"
OPT_SEC_VAL="True"

# for kinet hiend color printers
OPT_2CF="DefaultOpt2CF"
OPT_2CF_VAL="True"
OPT_SPD="DefaultOptSPD"
OPT_SPD_VAL="True"
OPT_FIN="DefaultOptFIN"
OPT_FIN_VAL="StplFinJ"
OPT_PCU="DefaultOptPCU"
OPT_PCU_VAL="True"
